Cheap VPS & Xen Server


Residential Proxy Network - Hourly & Monthly Packages

How to install libsmc-dev on Debian Unstable (Sid)


Install libsmc-dev

Installing libsmc-dev package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install libsmc-dev

libsmc-dev package information

distro Debian Unstable (Sid)
section Main
name libsmc-dev
version 1.7.16-3+b1
description Robot OS ‘bond’ State Machine Compiler interface
subsection libdevel
website wiki.ros.org / bond_core
maintainer Debian Science Maintainers

Uninstall libsmc-dev

To remove just libsmc-dev package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove libsmc-dev

Uninstall libsmc-dev and it’s dependent packages

To remove the libsmc-dev package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove libsmc-dev

Purging libsmc-dev

If you also want to delete configuration and/or data files of libsmc-dev from Debian Sid then this will work:

sudo apt-get purge libsmc-dev

To delete configuration and/or data files of libsmc-dev and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove libsmc-dev

 

Comments

comments